The Alternative Csound Reference Manual
Previous |  | Next

# ftsavek

ftsavek -- Save a set of previously-allocated tables to a file.

## Description

Save a set of previously-allocated tables to a file.

## Syntax

ftsavek "filename", ktrig, iflag, ifn1 [, ifn2] [...]

## Initialization

"filename" -- A quoted string containing the name of the file to save.

iflag -- Type of the file to save. (0 = binary file, Non-zero = text file)

ifn1, ifn2, ... -- Numbers of tables to save.

## Performance

ktrig -- The trigger signal. Save the file each time it is non-zero.

ftsavek saves a list of tables to a file. The file's format can be binary or text. Unlike ftsave, the saving operation can be repeated numerous times within the same note by using a trigger signal.

| Warning
| The file's format is not compatible with a WAV-file and is not endian-safe.

## See Also

ftloadk, ftload, ftsave

## Credits

Author: Gabriel Maldonado

New in version 4.21

Previous | Home | Next
ftsave | Up | ftsr